# EmbedTrack - Global Linking

Project to provide Global linking of cell detection, based on the EmbedTrack method.




## Steps to Complete the Repository

- [ ] [include the EmbedTrack library]
- [ ] [add a call EmbedTrack inference procedure from outside the library]
- [ ] [add a call of the tracking procedure]
- [ ] [add visualization in a blender]
- [ ] [complete instalation and requirements.txt]
- [ ] [document how the package is used]
- [ ] [add CTC evaluation]

***



## Description
The project adds global linking to the existing EmbedTrack method.
It is tested on a data from Cell Tracking Challenge (http://celltrackingchallenge.net/).

## Authors and Acknowledgment
Filip Lux

I hereby thank to Katharina Loffler for providing me a guidance through EmbedTrack method.

## License
MIT License

Copyright (c) 2023 Filip Lux

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

